Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## djbuch.kapitel_19
Class NLDocument

    java.lang.Object
      |
      +--djbuch.kapitel_13.DJDocument
            |
            +--djbuch.kapitel_19.NLDocument

public class NLDocument
extends DJDocument

Author:
  Thomas Ekert

Method Summary
`java.lang.String` | `getBody()` Inhalt dieses Newsletters
`static NLDocument` | `getInstance(Document initialDoc)` erzeugt ein neues NL Document anhand eines Domino Document.
`java.util.Vector` | `getRecipients()` Empfänger dieses Newsletters
`java.lang.String` | `getSubject()`
`boolean` | `isActive()`
`void` | `setActive(boolean flag)` Aktiviert oder De-Aktiviert den Newsletter
`RichTextItem` | `setBody(java.lang.String bodyText)` weisst dem Body RichTextITem einen neuen Wert zu.
`Item` | `setRecipients(java.util.Vector recip)` Empfänger dieses Newsletters festlegen
`Item` | `setSubject(java.lang.String subj)`

Methods inherited from class djbuch.kapitel_13.DJDocument
`appendItemValue, appendItemValue, appendItemValue, appendItemValue, closeMIMEEntities, closeMIMEEntities, closeMIMEEntities, computeWithForm, copyAllItems, copyItem, copyItem, copyToDatabase, createMIMEEntity, createMIMEEntity, createReplyMessage, createRichTextItem, encrypt, generateXML, generateXML, generateXML, getAttachment, getAuthors, getColumnValues, getCreated, getDoc, getEmbeddedObjects, getEncryptionKeys, getFirstItem, getFolderReferences, getFTSearchScore, getHttpURL, getItems, getItemValue, getItemValueCustomData, getItemValueCustomData, getItemValueCustomDataBytes, getItemValueDateTimeArray, getItemValueDouble, getItemValueInteger, getItemValueString, getKey, getLastAccessed, getLastModified, getLockHolders, getMIMEEntity, getMIMEEntity, getNameOfProfile, getNoteID, getNotesURL, getParentDatabase, getParentDocumentUNID, getParentView, getReceivedItemText, getResponses, getSigner, getSize, getUniversalID, getURL, getVerifier, hasEmbedded, hasItem, isDeleted, isEncrypted, isEncryptOnSend, isNewNote, isProfile, isResponse, isSaveMessageOnSend, isSentByAgent, isSigned, isSignOnSend, isValid, lock, lock, lock, lock, lock, lock, lockProvisional, lockProvisional, lockProvisional, makeResponse, putInFolder, putInFolder, recycle, recycle, remove, removeFromFolder, removeItem, removePermanently, renderToRTItem, replaceItemValue, replaceItemValueCustomData, replaceItemValueCustomData, replaceItemValueCustomDataBytes, save, save, save, save, send, send, send, send, send, send, setDoc, setEncryptionKeys, setEncryptOnSend, setSaveMessageOnSend, setSignOnSend, setUniversalID, sign, unlock`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static NLDocument getInstance(Document initialDoc)

  erzeugt ein neues NL Document anhand eines Domino Document.

  Parameters:
    `initialDoc` -
  Returns:
    - null, falls initialDoc==null, sonst ein neues NLDocument

### getRecipients

    public java.util.Vector getRecipients()
                                   throws NotesException

  Empfänger dieses Newsletters

    `NotesException`

### setRecipients

    public Item setRecipients(java.util.Vector recip)
                       throws NotesException

  Empfänger dieses Newsletters festlegen

    `NotesException`

### getBody

    public java.lang.String getBody()
                             throws NotesException

  Inhalt dieses Newsletters

    `NotesException`

### setBody

    public RichTextItem setBody(java.lang.String bodyText)
                         throws NotesException

  weisst dem Body RichTextITem einen neuen Wert zu. Achtung Nebenwirkung: Um das RTItem erfolgreich setzen zu können, wird das Document gespeichert.

  Parameters:
    `bodyText` -
  Returns:
    - RichTextItem
  Throws:
    `NotesException`

### isActive

    public boolean isActive()
                     throws NotesException

    `NotesException`

### setActive

    public void setActive(boolean flag)
                   throws NotesException

  Aktiviert oder De-Aktiviert den Newsletter

    `NotesException`

### getSubject

    public java.lang.String getSubject()
                                throws NotesException

    `NotesException`

### setSubject

    public Item setSubject(java.lang.String subj)
                    throws NotesException

    `NotesException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD